For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get API Key
GuidesAPI Reference
GuidesAPI Reference
  • Overview
    • API Reference
  • Endpoint Reference
    • Organizations
    • Projects
    • Documents
    • Agent
    • Check
  • API Explorer
      • GETExport batch results as CSV
      • GETGet a batch with results
      • GETList Agent batch queries
      • POSTCreate an Agent batch query
      • POSTSingle-shot Q&A over project knowledge
      • POSTChat with the Agent over project knowledge
Get API Key
LogoLogo
API ExplorerAgent

Export batch results as CSV

GET
/api/v2/agent/batches/:id/export
GET
/api/v2/agent/batches/:id/export
$curl https://api-staging.pyramid-ai.com/api/v2/agent/batches/id/export \
> -H "Authorization: Bearer <token>"
1"string"
Was this page helpful?
Previous

Get a batch with results

Next
Built with

Authentication

AuthorizationBearer

Pyramid API key (prefix with “Bearer ”)

Path parameters

idstringRequiredformat: "uuid"

Response headers

Content-Dispositionstring

Response

CSV file download

Errors

401
Unauthorized Error
404
Not Found Error